/* Dario Scarpa - 556/002017
 * Interfaccia grafica per la classe Tris
 *
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


public class TrisGUI {
	public static void main(String[] args) {
		Tris game = new Tris(false,false);
		TrisFrame frame = new TrisFrame(game);
	}
}

//*** classe per la creazione della finestra principale ********************
class TrisFrame extends JFrame {
	private Tris game;
	private TrisBoard board;
	private static final int BOARD_DIM = 300;

	public TrisFrame(Tris t) {
		game = t;
		board = new TrisBoard(BOARD_DIM,game);
		getContentPane().add(board);
		setSize(BOARD_DIM+10,BOARD_DIM+103);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		final JCheckBox p1 = new JCheckBox("p1 (X) controllato dal computer");
		p1.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
				game.setPlayerControl(1, p1.isSelected());
			}
		});
		final JCheckBox p2 = new JCheckBox("p2 (O) controllato dal computer");
		p2.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
				game.setPlayerControl(2, p2.isSelected());
			}
		});
		final JButton restart = new JButton("reset");
		restart.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent event) {
				game.restart(p1.isSelected(),p2.isSelected());
				board.reset();
			}
		});

		/*class restartButtonListener implements ActionListener {
			public void actionPerformed(ActionEvent event) {
				game.restart(p1.isSelected(),p2.isSelected());
				board.reset();
			}
		}
		restart.addActionListener(new restartButtonListener());*/

		JPanel iaSelectionPanel = new JPanel();
		iaSelectionPanel.setLayout(new GridLayout(2,1,2,2));
		iaSelectionPanel.add(p1);
		iaSelectionPanel.add(p2);
		getContentPane().add(iaSelectionPanel,BorderLayout.NORTH);
		getContentPane().add(restart,BorderLayout.SOUTH);
		show();
	}
}